Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.relaxng.output.xsd.basic
Class SchemaWalker

    java.lang.Object
      convert.relaxng.output.xsd.basic.SchemaWalker

All Implemented Interfaces:
  AttributeUseVisitor<VoidValue>, ComplexTypeVisitor<VoidValue>, ParticleVisitor<VoidValue>, SchemaVisitor, SimpleTypeVisitor<VoidValue>

    public abstract class SchemaWalker

extends java.lang.Object
implements ParticleVisitor<VoidValue>, SimpleTypeVisitor<VoidValue>, SchemaVisitor, ComplexTypeVisitor<VoidValue>, AttributeUseVisitor<VoidValue>

Constructor Summary
`SchemaWalker()`

Method Summary
`VoidValue` | `visitAll(ParticleAll p)`
`VoidValue` | `visitAttribute(Attribute a)`
`VoidValue` | `visitAttributeGroup(AttributeGroup a)`
`void` | `visitAttributeGroup(AttributeGroupDefinition def)`
`VoidValue` | `visitAttributeGroupRef(AttributeGroupRef a)`
`VoidValue` | `visitAttributeUseChoice(AttributeUseChoice a)`
`VoidValue` | `visitChoice(ParticleChoice p)`
`void` | `visitComment(Comment comment)`
`VoidValue` | `visitComplexContent(ComplexTypeComplexContent t)`
`VoidValue` | `visitElement(Element p)`
`void` | `visitGroup(GroupDefinition def)`
`VoidValue` | `visitGroup(ParticleGroup p)`
`VoidValue` | `visitGroupRef(GroupRef p)`
`void` | `visitInclude(Include include)`
`VoidValue` | `visitList(SimpleTypeList t)`
`VoidValue` | `visitNotAllowedContent(ComplexTypeNotAllowedContent t)`
`VoidValue` | `visitOptionalAttribute(OptionalAttribute a)`
`VoidValue` | `visitRef(SimpleTypeRef t)`
`VoidValue` | `visitRepeat(ParticleRepeat p)`
`VoidValue` | `visitRestriction(SimpleTypeRestriction t)`
`void` | `visitRoot(RootDeclaration decl)`
`VoidValue` | `visitSequence(ParticleSequence p)`
`VoidValue` | `visitSimpleContent(ComplexTypeSimpleContent t)`
`void` | `visitSimpleType(SimpleTypeDefinition def)`
`VoidValue` | `visitUnion(SimpleTypeUnion t)`
`VoidValue` | `visitWildcardAttribute(WildcardAttribute a)`
`VoidValue` | `visitWildcardElement(WildcardElement p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SchemaWalker

    public SchemaWalker()

Method Detail

### visitElement

    public VoidValue visitElement(Element p)

  Specified by:
    `visitElement` in interface `ParticleVisitor<VoidValue>`

### visitWildcardElement

    public VoidValue visitWildcardElement(WildcardElement p)

  Specified by:
    `visitWildcardElement` in interface `ParticleVisitor<VoidValue>`

### visitRepeat

    public VoidValue visitRepeat(ParticleRepeat p)

  Specified by:
    `visitRepeat` in interface `ParticleVisitor<VoidValue>`

### visitSequence

    public VoidValue visitSequence(ParticleSequence p)

  Specified by:
    `visitSequence` in interface `ParticleVisitor<VoidValue>`

### visitChoice

    public VoidValue visitChoice(ParticleChoice p)

  Specified by:
    `visitChoice` in interface `ParticleVisitor<VoidValue>`

### visitAll

    public VoidValue visitAll(ParticleAll p)

  Specified by:
    `visitAll` in interface `ParticleVisitor<VoidValue>`

### visitGroup

    public VoidValue visitGroup(ParticleGroup p)

### visitGroupRef

    public VoidValue visitGroupRef(GroupRef p)

  Specified by:
    `visitGroupRef` in interface `ParticleVisitor<VoidValue>`

### visitRestriction

    public VoidValue visitRestriction(SimpleTypeRestriction t)

  Specified by:
    `visitRestriction` in interface `SimpleTypeVisitor<VoidValue>`

### visitUnion

    public VoidValue visitUnion(SimpleTypeUnion t)

  Specified by:
    `visitUnion` in interface `SimpleTypeVisitor<VoidValue>`

### visitList

    public VoidValue visitList(SimpleTypeList t)

  Specified by:
    `visitList` in interface `SimpleTypeVisitor<VoidValue>`

### visitRef

    public VoidValue visitRef(SimpleTypeRef t)

  Specified by:
    `visitRef` in interface `SimpleTypeVisitor<VoidValue>`

### visitGroup

    public void visitGroup(GroupDefinition def)

  Specified by:
    `visitGroup` in interface `SchemaVisitor`

### visitAttributeGroup

    public void visitAttributeGroup(AttributeGroupDefinition def)

  Specified by:
    `visitAttributeGroup` in interface `SchemaVisitor`

### visitAttribute

    public VoidValue visitAttribute(Attribute a)

  Specified by:
    `visitAttribute` in interface `AttributeUseVisitor<VoidValue>`

### visitWildcardAttribute

    public VoidValue visitWildcardAttribute(WildcardAttribute a)

  Specified by:
    `visitWildcardAttribute` in interface `AttributeUseVisitor<VoidValue>`

### visitOptionalAttribute

    public VoidValue visitOptionalAttribute(OptionalAttribute a)

  Specified by:
    `visitOptionalAttribute` in interface `AttributeUseVisitor<VoidValue>`

### visitAttributeGroupRef

    public VoidValue visitAttributeGroupRef(AttributeGroupRef a)

  Specified by:
    `visitAttributeGroupRef` in interface `AttributeUseVisitor<VoidValue>`

### visitAttributeGroup

    public VoidValue visitAttributeGroup(AttributeGroup a)

  Specified by:
    `visitAttributeGroup` in interface `AttributeUseVisitor<VoidValue>`

### visitAttributeUseChoice

    public VoidValue visitAttributeUseChoice(AttributeUseChoice a)

  Specified by:
    `visitAttributeUseChoice` in interface `AttributeUseVisitor<VoidValue>`

### visitSimpleType

    public void visitSimpleType(SimpleTypeDefinition def)

  Specified by:
    `visitSimpleType` in interface `SchemaVisitor`

### visitRoot

    public void visitRoot(RootDeclaration decl)

  Specified by:
    `visitRoot` in interface `SchemaVisitor`

### visitInclude

    public void visitInclude(Include include)

  Specified by:
    `visitInclude` in interface `SchemaVisitor`

### visitComment

    public void visitComment(Comment comment)

  Specified by:
    `visitComment` in interface `SchemaVisitor`

### visitComplexContent

    public VoidValue visitComplexContent(ComplexTypeComplexContent t)

  Specified by:
    `visitComplexContent` in interface `ComplexTypeVisitor<VoidValue>`

### visitSimpleContent

    public VoidValue visitSimpleContent(ComplexTypeSimpleContent t)

  Specified by:
    `visitSimpleContent` in interface `ComplexTypeVisitor<VoidValue>`

### visitNotAllowedContent

    public VoidValue visitNotAllowedContent(ComplexTypeNotAllowedContent t)

  Specified by:
    `visitNotAllowedContent` in interface `ComplexTypeVisitor<VoidValue>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD